Name: yudit
Version: 2.7.6
Release: alt2.1

Summary: Unicode Text Editor
Summary (ru_RU.UTF-8): Редактор текстов формата Unicode
License: GPL
Group: Editors
Url: http://www.yudit.org
Source0: %name-%version.tar.bz2
Source1: yudit.properties
Patch0: yudit-%version.patch1.txt
BuildRequires: XFree86-devel XFree86-libs gcc-c++ libstdc++-devel

%description
Yudit is a unicode text editor for the X Window System. She can do True Type font rendering,
printing, transliterated keyboard input and handwriting recognition with no dependencies on
external engines. Her conversion utilities can convert text between various encodings.
Keyboard input maps can also act like text converters. There is no need for a pre-installed
multi-lingual environment. Menus are translated into many languages.

GNU (C) Gaspar Sinai <gsinai@yudit.org>

%description -l ru_RU.UTF-8
Yudit - редактор многоязычных текстов для системы X Window, поддерживающий шрифты
TrueType, транслитерацию ввода с клавиатуры и рукописный ввод иероглифов без использования
внешних средств. Дополнительные программы из комплекта редактора позволяют преобразовывать 
текст между различными кодовыми таблицами. Раскладки клавиатуры также можно использовать для 
преобразования текста. Yudit не требует сложной предварительной настройки системы для работы с 
многоязычными документами. Интерфейс пользователя переведён на многие языки.

GNU (C) Гаспар Синай <gsinai@yudit.org>

%prep
%setup -q
%patch0 -p1

%build
%configure
%make

%install
%makeinstall
mv $RPM_BUILD_ROOT%_datadir/yudit/config/yudit.properties $RPM_BUILD_ROOT%_datadir/yudit/config/yudit.properties.default
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/yudit/config/yudit.properties
install -m 644 -D gnome-yudit.png $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%name" needs="X11" \
section="Applications/Editors" title="Yudit" \
longtitle="A powerfull unicode text editor" icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_datadir/yudit
%_datadir/pixmaps/%name.png
%_menudir/%name
%doc CHANGELOG.TXT COPYING.TXT FAQ.TXT README.TXT TODO.TXT doc/*.utf8 doc/notinstalled doc/problems doc/HOWTO-*.txt

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.7.6-alt2.1
- Rebuilt with libstdc++.so.6.

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.7.6-alt2
- buildfix

* Mon Jun 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.7.6-alt1
- 2.7.6, font paths fixed

* Tue Jul 08 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.7.5-alt1
- New version

* Sun Dec 22 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.7.2-alt1
- New version

* Sat Nov 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.7-alt1
- Second ALTLinux build
